import { Outlet } from "react-router";
import MapUtl from "./components/map/mapUtil";
import { useEffect } from "react";
import SocketService from "./util/socket";
const socketService = SocketService.getInstance();
const onMessage = (e: any) => {
  let data = JSON.parse(e);
  if (data.type === "accpt") {
    let body = JSON.parse(data.content.body);
    console.log(body);
    MapUtl.addMaker({
      lng: 103.55,
      lat: 30.342,
      title: body?.user_name,
      users: body,
    });
  }
};
console.log("init");

socketService.on("message", onMessage);
const App = () => {
  useEffect(() => {
    return () => {
      console.log("uninstall");
      
      socketService.off("message", onMessage);
    };
  }, []);
  return (
    <>
      <Outlet />
    </>
  );
};

export default App;
