import { FormType } from "@/components/form/interface";
import { UserDataType } from "@/model/userModel";
import { ColumnsType } from "antd/lib/table";
export const columns: ColumnsType<UserDataType> = [
  {
    title: "分类名称",
    dataIndex: "category_name",
  },
];

export const columns_ac: ColumnsType<UserDataType> = [
  {
    title: "档案名称",
    dataIndex: "archives_name",
  },
  {
    title: "档案描述",
    dataIndex: "archives_desc",
  },
];

export const defaultConfigCat = [
  {
    type: FormType.input,
    label: "档案类别名称",
    name: "category_name",
    value: "",
    rules: [{ required: true, message: "请输入档案类别名称!" }],
  },
  {
    type: FormType.input,
    label: "档案描述",
    name: "category_desc",
    value: "",
  },
];

export const defaultConfig = [
  {
    type: FormType.input,
    label: "档案名称",
    name: "archives_name",
    value: "",
    rules: [{ required: true, message: "请输入分类名称!" }],
  },
  {
    type: FormType.input,
    label: "档案描述",
    name: "archives_desc",
    value: "",
  },
  {
    type: FormType.upload,
    label: "档案文件",
    name: "file_url",
    rules: [{ required: true, message: "请输入分类名称!" }],
    value: [],
  },
];
