import { FormType } from "@/components/form/interface";
import { UserDataType } from "@/model/userModel";
import { ColumnsType } from "antd/lib/table";
export const columns: ColumnsType<UserDataType> = [
  {
    title: "分类名称",
    dataIndex: "title",
  },
];

export const defaultConfig = [
  {
    type: FormType.input,
    label: "分类名称",
    name: "title",
    value: "",
    rules: [{ required: true, message: "请输入仓库名称!" }],
  },
];
