import { createHashRouter } from "react-router-dom";
import App from "@/App";
import Login from "@/pages/login/login";
import { homeRouter } from "@/router/routers/home_router";
const routers = createHashRouter([
  {
    path: "/",
    element: <App />,
  },
  {
    path: "/login",
    element: <Login />,
  },
 ...homeRouter
]);

export { routers };
